Incorrectly truncated message in "inbox" block

Bug #1509874 reported by Takahiro Sumiya on 2015-10-25
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
1.10
High
Unassigned
15.04
High
Unassigned
15.10
High
Unassigned

Bug Description

In the template file for "inbox" block, we use dwoo modifier "truncate". It does not care about multibyte character, and results in unnecessary garbage on the tail of truncated messages. Please see the attached image file.

I thins it's good idea to make a multibyte version of "truncate", and use it in Mahara source. Please see the following article.

http://www.guyrutenberg.com/2007/12/04/multibyte-string-truncate-modifier-for-smarty-mb_truncate/

--

- exact version of Mahara: 1.10.0 to 15.10.0
- operating system: Linux
- database: Postgres
- browser and version: Safari 9.0.1

Robert Lyon (robertl-9) on 2015-10-28
Changed in mahara:
status: New → Confirmed
importance: Undecided → High
milestone: none → 16.04.0
Aaron Wells (u-aaronw) on 2015-11-26
tags: added: i18n
Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/5795

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/5796

Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/5797

Reviewed: https://reviews.mahara.org/5797
Committed: https://git.mahara.org/mahara/mahara/commit/062f0b8ec0716947d1e93ac14dc37d2e2888b9e7
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.10_STABLE

commit 062f0b8ec0716947d1e93ac14dc37d2e2888b9e7
Author: Robert Lyon <email address hidden>
Date: Fri Nov 27 10:54:12 2015 +1300

Bug 1509874: incorrect dwoo truncation of multibyte chars

behatnotneeded

Change-Id: Ia5eaf6fcb7fabbd1182989cf8c518bcbb2c7b416
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2015-11-26
Changed in mahara:
status: Confirmed → Fix Committed
status: Fix Committed → In Progress
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5795
Committed: https://git.mahara.org/mahara/mahara/commit/6af08c7dac6b73c8b25c6a10c4ee4bb546574d12
Submitter: Aaron Wells (<email address hidden>)
Branch: 15.10_STABLE

commit 6af08c7dac6b73c8b25c6a10c4ee4bb546574d12
Author: Robert Lyon <email address hidden>
Date: Fri Nov 27 10:54:12 2015 +1300

Bug 1509874: incorrect dwoo truncation of multibyte chars

behatnotneeded

Change-Id: Ia5eaf6fcb7fabbd1182989cf8c518bcbb2c7b416
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5796
Committed: https://git.mahara.org/mahara/mahara/commit/04c763d72c0fc8e6903bffa9ee748352b109e35c
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 04c763d72c0fc8e6903bffa9ee748352b109e35c
Author: Robert Lyon <email address hidden>
Date: Fri Nov 27 10:54:12 2015 +1300

Bug 1509874: incorrect dwoo truncation of multibyte chars

behatnotneeded.

Change-Id: Ia5eaf6fcb7fabbd1182989cf8c518bcbb2c7b416
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5794
Committed: https://git.mahara.org/mahara/mahara/commit/d9a9b5bfb19c803c445388712e3eacbc8d46efe3
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit d9a9b5bfb19c803c445388712e3eacbc8d46efe3
Author: Robert Lyon <email address hidden>
Date: Fri Nov 27 10:54:12 2015 +1300

Bug 1509874: incorrect dwoo truncation of multibyte chars

behatnotneeded

Change-Id: Ia5eaf6fcb7fabbd1182989cf8c518bcbb2c7b416
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-11-27
Changed in mahara:
status: In Progress → Fix Committed
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers